﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcApplication4.Interfaces;
using MvcApplication4.Models;

namespace MvcApplication4.Controllers
{
    public class HomeController : Controller
    {
        private readonly ISimpleStorage _simpleStorage = new SimpleStorageTable();

        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to simple message board!";

            MessagesModel messagesModel = new MessagesModel();
            messagesModel.Messages = _simpleStorage.Messages;

            return View(messagesModel);
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult Insertion()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Insertion(MessageModel model, string returnUrl)
        {
            if (ModelState.IsValid)
            {

                _simpleStorage.AddMessage(model.Message);
                return RedirectToAction("Index");
            }else
            {
                return View();
            }
        }
    }
}
